Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
Cleanup: stop going into the subdir before going out [thanks Sascha]
[simgrid.git] / teshsuite / Makefile.in
1 # Makefile.in generated by automake 1.10 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Makefile chunk which allows to display the files which should be included
18 # into the distribution.
19
20 # It is intended to be included in all Makefile.am 
21
22 VPATH = @srcdir@
23 pkgdatadir = $(datadir)/@PACKAGE@
24 pkglibdir = $(libdir)/@PACKAGE@
25 pkgincludedir = $(includedir)/@PACKAGE@
26 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
27 install_sh_DATA = $(install_sh) -c -m 644
28 install_sh_PROGRAM = $(install_sh) -c
29 install_sh_SCRIPT = $(install_sh) -c
30 INSTALL_HEADER = $(INSTALL_DATA)
31 transform = $(program_transform_name)
32 NORMAL_INSTALL = :
33 PRE_INSTALL = :
34 POST_INSTALL = :
35 NORMAL_UNINSTALL = :
36 PRE_UNINSTALL = :
37 POST_UNINSTALL = :
38 build_triplet = @build@
39 host_triplet = @host@
40 target_triplet = @target@
41 noinst_PROGRAMS = xbt/parallel_log_crashtest$(EXEEXT) \
42         gras/datadesc/datadesc_usage$(EXEEXT) \
43         gras/msg_handle/msg_handle_client$(EXEEXT) \
44         gras/msg_handle/msg_handle_server$(EXEEXT) \
45         gras/msg_handle/msg_handle_simulator$(EXEEXT)
46 @GRAS_ARCH_32_BITS_TRUE@am__append_1 = gras/msg_handle/test_rl gras/msg_handle/test_sg_32
47 @GRAS_ARCH_32_BITS_FALSE@am__append_2 = gras/msg_handle/test_rl gras/msg_handle/test_sg_64
48 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
49         $(top_srcdir)/acmacro/dist-files.mk
50 subdir = teshsuite
51 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
52 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
53         $(top_srcdir)/acmacro/compiler-flags.m4 \
54         $(top_srcdir)/acmacro/context.m4 \
55         $(top_srcdir)/acmacro/fancy_configury.m4 \
56         $(top_srcdir)/acmacro/flex.m4 \
57         $(top_srcdir)/acmacro/gras_arch.m4 \
58         $(top_srcdir)/acmacro/print_null.m4 \
59         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
60 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
61         $(ACLOCAL_M4)
62 mkinstalldirs = $(install_sh) -d
63 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
64 CONFIG_CLEAN_FILES =
65 PROGRAMS = $(noinst_PROGRAMS)
66 am_gras_datadesc_datadesc_usage_OBJECTS = datadesc_usage.$(OBJEXT) \
67         datadesc_structs.$(OBJEXT)
68 gras_datadesc_datadesc_usage_OBJECTS =  \
69         $(am_gras_datadesc_datadesc_usage_OBJECTS)
70 gras_datadesc_datadesc_usage_DEPENDENCIES = $(LDADD_RL)
71 am__dirstamp = $(am__leading_dot)dirstamp
72 am_gras_msg_handle_msg_handle_client_OBJECTS = msg_handle.$(OBJEXT) \
73         _msg_handle_client.$(OBJEXT)
74 gras_msg_handle_msg_handle_client_OBJECTS =  \
75         $(am_gras_msg_handle_msg_handle_client_OBJECTS)
76 gras_msg_handle_msg_handle_client_DEPENDENCIES = $(LDADD_RL)
77 am_gras_msg_handle_msg_handle_server_OBJECTS = msg_handle.$(OBJEXT) \
78         _msg_handle_server.$(OBJEXT)
79 gras_msg_handle_msg_handle_server_OBJECTS =  \
80         $(am_gras_msg_handle_msg_handle_server_OBJECTS)
81 gras_msg_handle_msg_handle_server_DEPENDENCIES = $(LDADD_RL)
82 am_gras_msg_handle_msg_handle_simulator_OBJECTS =  \
83         msg_handle.$(OBJEXT) _msg_handle_simulator.$(OBJEXT)
84 gras_msg_handle_msg_handle_simulator_OBJECTS =  \
85         $(am_gras_msg_handle_msg_handle_simulator_OBJECTS)
86 gras_msg_handle_msg_handle_simulator_DEPENDENCIES = $(LDADD_SG)
87 xbt_parallel_log_crashtest_SOURCES = xbt/parallel_log_crashtest.c
88 xbt_parallel_log_crashtest_OBJECTS = parallel_log_crashtest.$(OBJEXT)
89 xbt_parallel_log_crashtest_DEPENDENCIES = $(LDADD_RL)
90 DEFAULT_INCLUDES = -I. -I$(top_builddir)/src@am__isrc@
91 depcomp = $(SHELL) $(top_srcdir)/depcomp
92 am__depfiles_maybe = depfiles
93 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
94         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
95 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
96         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
97         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
98 CCLD = $(CC)
99 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
100         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
101         $(LDFLAGS) -o $@
102 SOURCES = $(gras_datadesc_datadesc_usage_SOURCES) \
103         $(gras_msg_handle_msg_handle_client_SOURCES) \
104         $(gras_msg_handle_msg_handle_server_SOURCES) \
105         $(gras_msg_handle_msg_handle_simulator_SOURCES) \
106         xbt/parallel_log_crashtest.c
107 DIST_SOURCES = $(gras_datadesc_datadesc_usage_SOURCES) \
108         $(gras_msg_handle_msg_handle_client_SOURCES) \
109         $(gras_msg_handle_msg_handle_server_SOURCES) \
110         $(gras_msg_handle_msg_handle_simulator_SOURCES) \
111         xbt/parallel_log_crashtest.c
112 ETAGS = etags
113 CTAGS = ctags
114 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
115 ACLOCAL = @ACLOCAL@
116 ADDR2LINE = @ADDR2LINE@
117 AMTAR = @AMTAR@
118 AM_CPPFLAGS = @AM_CPPFLAGS@
119 AR = @AR@
120 AS = @AS@
121 AUTOCONF = @AUTOCONF@
122 AUTOHEADER = @AUTOHEADER@
123 AUTOMAKE = @AUTOMAKE@
124 AWK = @AWK@
125 BASH = @BASH@
126 CC = @CC@
127 CCDEPMODE = @CCDEPMODE@
128 CFLAGS = @CFLAGS@
129 CPP = @CPP@
130 CPPFLAGS = @CPPFLAGS@
131 CXX = @CXX@
132 CXXCPP = @CXXCPP@
133 CXXDEPMODE = @CXXDEPMODE@
134 CXXFLAGS = @CXXFLAGS@
135 CYGPATH_W = @CYGPATH_W@
136 DEFS = @DEFS@
137 DEPDIR = @DEPDIR@
138 DLLTOOL = @DLLTOOL@
139 DOXYGEN = @DOXYGEN@
140 ECHO = @ECHO@
141 ECHO_C = @ECHO_C@
142 ECHO_N = @ECHO_N@
143 ECHO_T = @ECHO_T@
144 EGREP = @EGREP@
145 EXEEXT = @EXEEXT@
146 FLEXML = @FLEXML@
147 GCJ = @GCJ@
148 GCJDEPMODE = @GCJDEPMODE@
149 GCJFLAGS = @GCJFLAGS@
150 GRAS_DEP = @GRAS_DEP@
151 GREP = @GREP@
152 INSTALL = @INSTALL@
153 INSTALL_DATA = @INSTALL_DATA@
154 INSTALL_PROGRAM = @INSTALL_PROGRAM@
155 INSTALL_SCRIPT = @INSTALL_SCRIPT@
156 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
157 JAR = @JAR@
158 JAVA = @JAVA@
159 JAVAC = @JAVAC@
160 LDFLAGS = @LDFLAGS@
161 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
162 LEX = @LEX@
163 LEXLIB = @LEXLIB@
164 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
165 LIBOBJS = @LIBOBJS@
166 LIBS = @LIBS@
167 LIBTOOL = @LIBTOOL@
168 LN_S = @LN_S@
169 LTLIBOBJS = @LTLIBOBJS@
170 MAINT = @MAINT@
171 MAKEINFO = @MAKEINFO@
172 MD5SUM = @MD5SUM@
173 MKDIR_P = @MKDIR_P@
174 OBJDUMP = @OBJDUMP@
175 OBJEXT = @OBJEXT@
176 PACKAGE = @PACKAGE@
177 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
178 PACKAGE_NAME = @PACKAGE_NAME@
179 PACKAGE_STRING = @PACKAGE_STRING@
180 PACKAGE_TARNAME = @PACKAGE_TARNAME@
181 PACKAGE_VERSION = @PACKAGE_VERSION@
182 PATH_SEPARATOR = @PATH_SEPARATOR@
183 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
184 RANLIB = @RANLIB@
185 SET_MAKE = @SET_MAKE@
186 SHELL = @SHELL@
187 SIMGRID_DEP = @SIMGRID_DEP@
188 SMPI_DEP = @SMPI_DEP@
189 STRIP = @STRIP@
190 VERSION = @VERSION@
191 WARNING = @WARNING@
192 abs_builddir = @abs_builddir@
193 abs_srcdir = @abs_srcdir@
194 abs_top_builddir = @abs_top_builddir@
195 abs_top_srcdir = @abs_top_srcdir@
196 ac_configure_args = @ac_configure_args@
197 ac_ct_CC = @ac_ct_CC@
198 ac_ct_CXX = @ac_ct_CXX@
199 am__include = @am__include@
200 am__leading_dot = @am__leading_dot@
201 am__quote = @am__quote@
202 am__tar = @am__tar@
203 am__untar = @am__untar@
204 bindir = @bindir@
205 build = @build@
206 build_alias = @build_alias@
207 build_cpu = @build_cpu@
208 build_id = @build_id@
209 build_os = @build_os@
210 build_vendor = @build_vendor@
211 builddir = @builddir@
212 datadir = @datadir@
213 datarootdir = @datarootdir@
214 docdir = @docdir@
215 dvidir = @dvidir@
216 exec_prefix = @exec_prefix@
217 host = @host@
218 host_alias = @host_alias@
219 host_cpu = @host_cpu@
220 host_os = @host_os@
221 host_vendor = @host_vendor@
222 htmldir = @htmldir@
223 includedir = @includedir@
224 infodir = @infodir@
225 install_sh = @install_sh@
226 libdir = @libdir@
227 libexecdir = @libexecdir@
228 localedir = @localedir@
229 localstatedir = @localstatedir@
230 mandir = @mandir@
231 mkdir_p = @mkdir_p@
232 oldincludedir = @oldincludedir@
233 pdfdir = @pdfdir@
234 prefix = @prefix@
235 program_transform_name = @program_transform_name@
236 psdir = @psdir@
237 pth_skaddr_makecontext = @pth_skaddr_makecontext@
238 pth_sksize_makecontext = @pth_sksize_makecontext@
239 sbindir = @sbindir@
240 sharedstatedir = @sharedstatedir@
241 srcdir = @srcdir@
242 sysconfdir = @sysconfdir@
243 target = @target@
244 target_alias = @target_alias@
245 target_cpu = @target_cpu@
246 target_os = @target_os@
247 target_vendor = @target_vendor@
248 top_builddir = @top_builddir@
249 top_srcdir = @top_srcdir@
250 INCLUDES = -I$(top_srcdir)/include -I$(top_srcdir)/src -I$(top_srcdir)/src/include
251 AM_CFLAGS = -g
252
253 # Declare all the variables to empty, so that each test set can add
254 # their content to them
255 CLEANFILES = gras/datadesc/datadesc_usage.out
256 EXTRA_DIST = gras/datadesc/datadesc.little32_4 \
257         gras/datadesc/datadesc.little64 gras/datadesc/datadesc.big32_8 \
258         gras/datadesc/datadesc.big32_8_4 \
259         gras/datadesc/datadesc.big32_2 \
260         gras/datadesc/mk_datadesc_structs.pl \
261         gras/msg_handle/msg_handle.xml
262 TESTS_ENVIRONMENT = $(top_builddir)/tools/tesh/tesh
263 TESTS = xbt/parallel_log_crashtest.tesh \
264         gras/datadesc/datadesc_mem.tesh gras/datadesc/datadesc_rw.tesh \
265         gras/datadesc/datadesc_r_little32_4.tesh \
266         gras/datadesc/datadesc_r_little64.tesh \
267         gras/datadesc/datadesc_r_big32_8.tesh \
268         gras/datadesc/datadesc_r_big32_8_4.tesh \
269         gras/datadesc/datadesc_r_big32_2.tesh $(am__append_1) \
270         $(am__append_2)
271 # Data sets still to regenerate:
272 XFAIL_TESTS = gras/datadesc/datadesc_r_little32.tesh \
273         gras/datadesc/datadesc_r_big32_8.tesh \
274         gras/datadesc/datadesc_r_big32_8_4.tesh \
275         gras/datadesc/datadesc_r_big32_2.tesh
276 LDADD_SG = $(abs_top_builddir)/src/libsimgrid.la
277 LDADD_RL = $(abs_top_builddir)/src/libgras.la
278 xbt_parallel_log_crashtest_LDADD = $(LDADD_RL)
279 gras_datadesc_datadesc_usage_SOURCES = gras/datadesc/datadesc_usage.c gras/datadesc/datadesc_structs.c
280 gras_datadesc_datadesc_usage_LDADD = $(LDADD_RL)
281 gras_msg_handle_msg_handle_simulator_SOURCES = gras/msg_handle/msg_handle.c gras/msg_handle/_msg_handle_simulator.c
282 gras_msg_handle_msg_handle_client_SOURCES = gras/msg_handle/msg_handle.c gras/msg_handle/_msg_handle_client.c
283 gras_msg_handle_msg_handle_server_SOURCES = gras/msg_handle/msg_handle.c gras/msg_handle/_msg_handle_server.c
284 gras_msg_handle_msg_handle_simulator_LDADD = $(LDADD_SG)
285 gras_msg_handle_msg_handle_client_LDADD = $(LDADD_RL)
286 gras_msg_handle_msg_handle_server_LDADD = $(LDADD_RL)
287 all: all-am
288
289 .SUFFIXES:
290 .SUFFIXES: .c .lo .o .obj
291 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
292         @for dep in $?; do \
293           case '$(am__configure_deps)' in \
294             *$$dep*) \
295               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
296                 && exit 0; \
297               exit 1;; \
298           esac; \
299         done; \
300         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  teshsuite/Makefile'; \
301         cd $(top_srcdir) && \
302           $(AUTOMAKE) --gnu  teshsuite/Makefile
303 .PRECIOUS: Makefile
304 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
305         @case '$?' in \
306           *config.status*) \
307             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
308           *) \
309             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
310             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
311         esac;
312
313 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
314         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
315
316 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
317         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
318 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
319         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
320
321 clean-noinstPROGRAMS:
322         @list='$(noinst_PROGRAMS)'; for p in $$list; do \
323           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
324           echo " rm -f $$p $$f"; \
325           rm -f $$p $$f ; \
326         done
327 gras/datadesc/$(am__dirstamp):
328         @$(MKDIR_P) gras/datadesc
329         @: > gras/datadesc/$(am__dirstamp)
330 gras/datadesc/datadesc_usage$(EXEEXT): $(gras_datadesc_datadesc_usage_OBJECTS) $(gras_datadesc_datadesc_usage_DEPENDENCIES) gras/datadesc/$(am__dirstamp)
331         @rm -f gras/datadesc/datadesc_usage$(EXEEXT)
332         $(LINK) $(gras_datadesc_datadesc_usage_OBJECTS) $(gras_datadesc_datadesc_usage_LDADD) $(LIBS)
333 gras/msg_handle/$(am__dirstamp):
334         @$(MKDIR_P) gras/msg_handle
335         @: > gras/msg_handle/$(am__dirstamp)
336 gras/msg_handle/msg_handle_client$(EXEEXT): $(gras_msg_handle_msg_handle_client_OBJECTS) $(gras_msg_handle_msg_handle_client_DEPENDENCIES) gras/msg_handle/$(am__dirstamp)
337         @rm -f gras/msg_handle/msg_handle_client$(EXEEXT)
338         $(LINK) $(gras_msg_handle_msg_handle_client_OBJECTS) $(gras_msg_handle_msg_handle_client_LDADD) $(LIBS)
339 gras/msg_handle/msg_handle_server$(EXEEXT): $(gras_msg_handle_msg_handle_server_OBJECTS) $(gras_msg_handle_msg_handle_server_DEPENDENCIES) gras/msg_handle/$(am__dirstamp)
340         @rm -f gras/msg_handle/msg_handle_server$(EXEEXT)
341         $(LINK) $(gras_msg_handle_msg_handle_server_OBJECTS) $(gras_msg_handle_msg_handle_server_LDADD) $(LIBS)
342 gras/msg_handle/msg_handle_simulator$(EXEEXT): $(gras_msg_handle_msg_handle_simulator_OBJECTS) $(gras_msg_handle_msg_handle_simulator_DEPENDENCIES) gras/msg_handle/$(am__dirstamp)
343         @rm -f gras/msg_handle/msg_handle_simulator$(EXEEXT)
344         $(LINK) $(gras_msg_handle_msg_handle_simulator_OBJECTS) $(gras_msg_handle_msg_handle_simulator_LDADD) $(LIBS)
345 xbt/$(am__dirstamp):
346         @$(MKDIR_P) xbt
347         @: > xbt/$(am__dirstamp)
348 xbt/parallel_log_crashtest$(EXEEXT): $(xbt_parallel_log_crashtest_OBJECTS) $(xbt_parallel_log_crashtest_DEPENDENCIES) xbt/$(am__dirstamp)
349         @rm -f xbt/parallel_log_crashtest$(EXEEXT)
350         $(LINK) $(xbt_parallel_log_crashtest_OBJECTS) $(xbt_parallel_log_crashtest_LDADD) $(LIBS)
351
352 mostlyclean-compile:
353         -rm -f *.$(OBJEXT)
354
355 distclean-compile:
356         -rm -f *.tab.c
357
358 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_msg_handle_client.Po@am__quote@
359 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_msg_handle_server.Po@am__quote@
360 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_msg_handle_simulator.Po@am__quote@
361 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/datadesc_structs.Po@am__quote@
362 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/datadesc_usage.Po@am__quote@
363 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/msg_handle.Po@am__quote@
364 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/parallel_log_crashtest.Po@am__quote@
365
366 .c.o:
367 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
368 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
369 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
370 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
371 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
372
373 .c.obj:
374 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
375 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
376 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
377 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
378 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
379
380 .c.lo:
381 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
382 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
383 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
384 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
385 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
386
387 datadesc_usage.o: gras/datadesc/datadesc_usage.c
388 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT datadesc_usage.o -MD -MP -MF $(DEPDIR)/datadesc_usage.Tpo -c -o datadesc_usage.o `test -f 'gras/datadesc/datadesc_usage.c' || echo '$(srcdir)/'`gras/datadesc/datadesc_usage.c
389 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/datadesc_usage.Tpo $(DEPDIR)/datadesc_usage.Po
390 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/datadesc/datadesc_usage.c' object='datadesc_usage.o' libtool=no @AMDEPBACKSLASH@
391 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
392 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o datadesc_usage.o `test -f 'gras/datadesc/datadesc_usage.c' || echo '$(srcdir)/'`gras/datadesc/datadesc_usage.c
393
394 datadesc_usage.obj: gras/datadesc/datadesc_usage.c
395 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT datadesc_usage.obj -MD -MP -MF $(DEPDIR)/datadesc_usage.Tpo -c -o datadesc_usage.obj `if test -f 'gras/datadesc/datadesc_usage.c'; then $(CYGPATH_W) 'gras/datadesc/datadesc_usage.c'; else $(CYGPATH_W) '$(srcdir)/gras/datadesc/datadesc_usage.c'; fi`
396 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/datadesc_usage.Tpo $(DEPDIR)/datadesc_usage.Po
397 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/datadesc/datadesc_usage.c' object='datadesc_usage.obj' libtool=no @AMDEPBACKSLASH@
398 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
399 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o datadesc_usage.obj `if test -f 'gras/datadesc/datadesc_usage.c'; then $(CYGPATH_W) 'gras/datadesc/datadesc_usage.c'; else $(CYGPATH_W) '$(srcdir)/gras/datadesc/datadesc_usage.c'; fi`
400
401 datadesc_structs.o: gras/datadesc/datadesc_structs.c
402 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT datadesc_structs.o -MD -MP -MF $(DEPDIR)/datadesc_structs.Tpo -c -o datadesc_structs.o `test -f 'gras/datadesc/datadesc_structs.c' || echo '$(srcdir)/'`gras/datadesc/datadesc_structs.c
403 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/datadesc_structs.Tpo $(DEPDIR)/datadesc_structs.Po
404 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/datadesc/datadesc_structs.c' object='datadesc_structs.o' libtool=no @AMDEPBACKSLASH@
405 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
406 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o datadesc_structs.o `test -f 'gras/datadesc/datadesc_structs.c' || echo '$(srcdir)/'`gras/datadesc/datadesc_structs.c
407
408 datadesc_structs.obj: gras/datadesc/datadesc_structs.c
409 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT datadesc_structs.obj -MD -MP -MF $(DEPDIR)/datadesc_structs.Tpo -c -o datadesc_structs.obj `if test -f 'gras/datadesc/datadesc_structs.c'; then $(CYGPATH_W) 'gras/datadesc/datadesc_structs.c'; else $(CYGPATH_W) '$(srcdir)/gras/datadesc/datadesc_structs.c'; fi`
410 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/datadesc_structs.Tpo $(DEPDIR)/datadesc_structs.Po
411 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/datadesc/datadesc_structs.c' object='datadesc_structs.obj' libtool=no @AMDEPBACKSLASH@
412 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
413 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o datadesc_structs.obj `if test -f 'gras/datadesc/datadesc_structs.c'; then $(CYGPATH_W) 'gras/datadesc/datadesc_structs.c'; else $(CYGPATH_W) '$(srcdir)/gras/datadesc/datadesc_structs.c'; fi`
414
415 msg_handle.o: gras/msg_handle/msg_handle.c
416 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT msg_handle.o -MD -MP -MF $(DEPDIR)/msg_handle.Tpo -c -o msg_handle.o `test -f 'gras/msg_handle/msg_handle.c' || echo '$(srcdir)/'`gras/msg_handle/msg_handle.c
417 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/msg_handle.Tpo $(DEPDIR)/msg_handle.Po
418 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/msg_handle/msg_handle.c' object='msg_handle.o' libtool=no @AMDEPBACKSLASH@
419 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
420 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o msg_handle.o `test -f 'gras/msg_handle/msg_handle.c' || echo '$(srcdir)/'`gras/msg_handle/msg_handle.c
421
422 msg_handle.obj: gras/msg_handle/msg_handle.c
423 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT msg_handle.obj -MD -MP -MF $(DEPDIR)/msg_handle.Tpo -c -o msg_handle.obj `if test -f 'gras/msg_handle/msg_handle.c'; then $(CYGPATH_W) 'gras/msg_handle/msg_handle.c'; else $(CYGPATH_W) '$(srcdir)/gras/msg_handle/msg_handle.c'; fi`
424 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/msg_handle.Tpo $(DEPDIR)/msg_handle.Po
425 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/msg_handle/msg_handle.c' object='msg_handle.obj' libtool=no @AMDEPBACKSLASH@
426 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
427 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o msg_handle.obj `if test -f 'gras/msg_handle/msg_handle.c'; then $(CYGPATH_W) 'gras/msg_handle/msg_handle.c'; else $(CYGPATH_W) '$(srcdir)/gras/msg_handle/msg_handle.c'; fi`
428
429 _msg_handle_client.o: gras/msg_handle/_msg_handle_client.c
430 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _msg_handle_client.o -MD -MP -MF $(DEPDIR)/_msg_handle_client.Tpo -c -o _msg_handle_client.o `test -f 'gras/msg_handle/_msg_handle_client.c' || echo '$(srcdir)/'`gras/msg_handle/_msg_handle_client.c
431 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_msg_handle_client.Tpo $(DEPDIR)/_msg_handle_client.Po
432 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/msg_handle/_msg_handle_client.c' object='_msg_handle_client.o' libtool=no @AMDEPBACKSLASH@
433 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
434 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _msg_handle_client.o `test -f 'gras/msg_handle/_msg_handle_client.c' || echo '$(srcdir)/'`gras/msg_handle/_msg_handle_client.c
435
436 _msg_handle_client.obj: gras/msg_handle/_msg_handle_client.c
437 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _msg_handle_client.obj -MD -MP -MF $(DEPDIR)/_msg_handle_client.Tpo -c -o _msg_handle_client.obj `if test -f 'gras/msg_handle/_msg_handle_client.c'; then $(CYGPATH_W) 'gras/msg_handle/_msg_handle_client.c'; else $(CYGPATH_W) '$(srcdir)/gras/msg_handle/_msg_handle_client.c'; fi`
438 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_msg_handle_client.Tpo $(DEPDIR)/_msg_handle_client.Po
439 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/msg_handle/_msg_handle_client.c' object='_msg_handle_client.obj' libtool=no @AMDEPBACKSLASH@
440 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
441 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _msg_handle_client.obj `if test -f 'gras/msg_handle/_msg_handle_client.c'; then $(CYGPATH_W) 'gras/msg_handle/_msg_handle_client.c'; else $(CYGPATH_W) '$(srcdir)/gras/msg_handle/_msg_handle_client.c'; fi`
442
443 _msg_handle_server.o: gras/msg_handle/_msg_handle_server.c
444 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _msg_handle_server.o -MD -MP -MF $(DEPDIR)/_msg_handle_server.Tpo -c -o _msg_handle_server.o `test -f 'gras/msg_handle/_msg_handle_server.c' || echo '$(srcdir)/'`gras/msg_handle/_msg_handle_server.c
445 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_msg_handle_server.Tpo $(DEPDIR)/_msg_handle_server.Po
446 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/msg_handle/_msg_handle_server.c' object='_msg_handle_server.o' libtool=no @AMDEPBACKSLASH@
447 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
448 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _msg_handle_server.o `test -f 'gras/msg_handle/_msg_handle_server.c' || echo '$(srcdir)/'`gras/msg_handle/_msg_handle_server.c
449
450 _msg_handle_server.obj: gras/msg_handle/_msg_handle_server.c
451 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _msg_handle_server.obj -MD -MP -MF $(DEPDIR)/_msg_handle_server.Tpo -c -o _msg_handle_server.obj `if test -f 'gras/msg_handle/_msg_handle_server.c'; then $(CYGPATH_W) 'gras/msg_handle/_msg_handle_server.c'; else $(CYGPATH_W) '$(srcdir)/gras/msg_handle/_msg_handle_server.c'; fi`
452 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_msg_handle_server.Tpo $(DEPDIR)/_msg_handle_server.Po
453 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/msg_handle/_msg_handle_server.c' object='_msg_handle_server.obj' libtool=no @AMDEPBACKSLASH@
454 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
455 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _msg_handle_server.obj `if test -f 'gras/msg_handle/_msg_handle_server.c'; then $(CYGPATH_W) 'gras/msg_handle/_msg_handle_server.c'; else $(CYGPATH_W) '$(srcdir)/gras/msg_handle/_msg_handle_server.c'; fi`
456
457 _msg_handle_simulator.o: gras/msg_handle/_msg_handle_simulator.c
458 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _msg_handle_simulator.o -MD -MP -MF $(DEPDIR)/_msg_handle_simulator.Tpo -c -o _msg_handle_simulator.o `test -f 'gras/msg_handle/_msg_handle_simulator.c' || echo '$(srcdir)/'`gras/msg_handle/_msg_handle_simulator.c
459 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_msg_handle_simulator.Tpo $(DEPDIR)/_msg_handle_simulator.Po
460 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/msg_handle/_msg_handle_simulator.c' object='_msg_handle_simulator.o' libtool=no @AMDEPBACKSLASH@
461 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
462 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _msg_handle_simulator.o `test -f 'gras/msg_handle/_msg_handle_simulator.c' || echo '$(srcdir)/'`gras/msg_handle/_msg_handle_simulator.c
463
464 _msg_handle_simulator.obj: gras/msg_handle/_msg_handle_simulator.c
465 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _msg_handle_simulator.obj -MD -MP -MF $(DEPDIR)/_msg_handle_simulator.Tpo -c -o _msg_handle_simulator.obj `if test -f 'gras/msg_handle/_msg_handle_simulator.c'; then $(CYGPATH_W) 'gras/msg_handle/_msg_handle_simulator.c'; else $(CYGPATH_W) '$(srcdir)/gras/msg_handle/_msg_handle_simulator.c'; fi`
466 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_msg_handle_simulator.Tpo $(DEPDIR)/_msg_handle_simulator.Po
467 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/msg_handle/_msg_handle_simulator.c' object='_msg_handle_simulator.obj' libtool=no @AMDEPBACKSLASH@
468 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
469 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _msg_handle_simulator.obj `if test -f 'gras/msg_handle/_msg_handle_simulator.c'; then $(CYGPATH_W) 'gras/msg_handle/_msg_handle_simulator.c'; else $(CYGPATH_W) '$(srcdir)/gras/msg_handle/_msg_handle_simulator.c'; fi`
470
471 parallel_log_crashtest.o: xbt/parallel_log_crashtest.c
472 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT parallel_log_crashtest.o -MD -MP -MF $(DEPDIR)/parallel_log_crashtest.Tpo -c -o parallel_log_crashtest.o `test -f 'xbt/parallel_log_crashtest.c' || echo '$(srcdir)/'`xbt/parallel_log_crashtest.c
473 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/parallel_log_crashtest.Tpo $(DEPDIR)/parallel_log_crashtest.Po
474 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/parallel_log_crashtest.c' object='parallel_log_crashtest.o' libtool=no @AMDEPBACKSLASH@
475 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
476 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o parallel_log_crashtest.o `test -f 'xbt/parallel_log_crashtest.c' || echo '$(srcdir)/'`xbt/parallel_log_crashtest.c
477
478 parallel_log_crashtest.obj: xbt/parallel_log_crashtest.c
479 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT parallel_log_crashtest.obj -MD -MP -MF $(DEPDIR)/parallel_log_crashtest.Tpo -c -o parallel_log_crashtest.obj `if test -f 'xbt/parallel_log_crashtest.c'; then $(CYGPATH_W) 'xbt/parallel_log_crashtest.c'; else $(CYGPATH_W) '$(srcdir)/xbt/parallel_log_crashtest.c'; fi`
480 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/parallel_log_crashtest.Tpo $(DEPDIR)/parallel_log_crashtest.Po
481 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/parallel_log_crashtest.c' object='parallel_log_crashtest.obj' libtool=no @AMDEPBACKSLASH@
482 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
483 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o parallel_log_crashtest.obj `if test -f 'xbt/parallel_log_crashtest.c'; then $(CYGPATH_W) 'xbt/parallel_log_crashtest.c'; else $(CYGPATH_W) '$(srcdir)/xbt/parallel_log_crashtest.c'; fi`
484
485 mostlyclean-libtool:
486         -rm -f *.lo
487
488 clean-libtool:
489         -rm -rf .libs _libs
490
491 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
492         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
493         unique=`for i in $$list; do \
494             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
495           done | \
496           $(AWK) '    { files[$$0] = 1; } \
497                END { for (i in files) print i; }'`; \
498         mkid -fID $$unique
499 tags: TAGS
500
501 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
502                 $(TAGS_FILES) $(LISP)
503         tags=; \
504         here=`pwd`; \
505         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
506         unique=`for i in $$list; do \
507             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
508           done | \
509           $(AWK) '    { files[$$0] = 1; } \
510                END { for (i in files) print i; }'`; \
511         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
512           test -n "$$unique" || unique=$$empty_fix; \
513           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
514             $$tags $$unique; \
515         fi
516 ctags: CTAGS
517 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
518                 $(TAGS_FILES) $(LISP)
519         tags=; \
520         here=`pwd`; \
521         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
522         unique=`for i in $$list; do \
523             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
524           done | \
525           $(AWK) '    { files[$$0] = 1; } \
526                END { for (i in files) print i; }'`; \
527         test -z "$(CTAGS_ARGS)$$tags$$unique" \
528           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
529              $$tags $$unique
530
531 GTAGS:
532         here=`$(am__cd) $(top_builddir) && pwd` \
533           && cd $(top_srcdir) \
534           && gtags -i $(GTAGS_ARGS) $$here
535
536 distclean-tags:
537         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
538
539 check-TESTS: $(TESTS)
540         @failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[        ]'; \
541         faillist=""; xpasslist=""; xfaillist=""; skiplist=""; \
542         srcdir=$(srcdir); export srcdir; \
543         list=' $(TESTS) '; \
544         if test -n "$$list"; then \
545           for tst in $$list; do \
546             if test -f ./$$tst; then dir=./; \
547             elif test -f $$tst; then dir=; \
548             else dir="$(srcdir)/"; fi; \
549             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
550               all=`expr $$all + 1`; \
551               case " $(XFAIL_TESTS) " in \
552               *$$ws$$tst$$ws*) \
553                 xpass=`expr $$xpass + 1`; \
554                 failed=`expr $$failed + 1`; \
555                 xpasslist="$$xpasslist $$tst"; \
556                 echo "XPASS: $$tst"; \
557               ;; \
558               *) \
559                 echo "PASS: $$tst"; \
560               ;; \
561               esac; \
562             elif test $$? -ne 77; then \
563               all=`expr $$all + 1`; \
564               case " $(XFAIL_TESTS) " in \
565               *$$ws$$tst$$ws*) \
566                 xfail=`expr $$xfail + 1`; \
567                 xfaillist="$$xfaillist $$tst"; \
568                 echo "XFAIL: $$tst"; \
569               ;; \
570               *) \
571                 failed=`expr $$failed + 1`; \
572                 faillist="$$faillist $$tst"; \
573                 echo "FAIL: $$tst"; \
574               ;; \
575               esac; \
576             else \
577               skip=`expr $$skip + 1`; \
578               skiplist="$$skiplist $$tst"; \
579               echo "SKIP: $$tst"; \
580             fi; \
581           done; \
582           if test "$$failed" -eq 0; then \
583             if test "$$xfail" -eq 0; then \
584               banner="All $$all tests passed"; \
585             else \
586               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
587             fi; \
588           else \
589             if test "$$xpass" -eq 0; then \
590               banner="$$failed of $$all tests failed"; \
591             else \
592               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
593             fi; \
594           fi; \
595           dashes="$$banner"; \
596           skipped=""; \
597           if test "$$skip" -ne 0; then \
598             skipped="($$skip tests were not run)"; \
599             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
600               dashes="$$skipped"; \
601           fi; \
602           report=""; \
603           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
604             report="Please report to $(PACKAGE_BUGREPORT)"; \
605             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
606               dashes="$$report"; \
607           fi; \
608           dashes=`echo "$$dashes" | sed s/./=/g`; \
609           echo "$$dashes"; \
610           echo "$$banner"; \
611           test -z "$$skipped" || echo "$$skipped"; \
612           test -z "$$report" || echo "$$report"; \
613           echo "$$dashes"; \
614           if test -n "$$faillist" ; then \
615             echo "Failed tests:";\
616             for tst in $$faillist ; do \
617               echo "  "$$tst;\
618             done;\
619           fi;\
620           if test -n "$$xpasslist" ; then \
621             echo "Unexpectedly passed tests:";\
622             for tst in $$xpasslist ; do \
623               echo "  "$$tst;\
624             done;\
625           fi;\
626           if test -n "$$xfaillist" ; then \
627             echo "Expected failures:";\
628             for tst in $$xfaillist ; do \
629               echo "  "$$tst;\
630             done;\
631           fi;\
632           if test -n "$$skiplist" ; then \
633             echo "Skipped tests:";\
634             for tst in $$skiplist ; do \
635               echo "  "$$tst;\
636             done;\
637           fi;\
638           test "$$failed" -eq 0; \
639         else :; fi
640
641 distdir: $(DISTFILES)
642         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
643         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
644         list='$(DISTFILES)'; \
645           dist_files=`for file in $$list; do echo $$file; done | \
646           sed -e "s|^$$srcdirstrip/||;t" \
647               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
648         case $$dist_files in \
649           */*) $(MKDIR_P) `echo "$$dist_files" | \
650                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
651                            sort -u` ;; \
652         esac; \
653         for file in $$dist_files; do \
654           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
655           if test -d $$d/$$file; then \
656             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
657             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
658               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
659             fi; \
660             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
661           else \
662             test -f $(distdir)/$$file \
663             || cp -p $$d/$$file $(distdir)/$$file \
664             || exit 1; \
665           fi; \
666         done
667 check-am: all-am
668         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
669 check: check-am
670 all-am: Makefile $(PROGRAMS)
671 installdirs:
672 install: install-am
673 install-exec: install-exec-am
674 install-data: install-data-am
675 uninstall: uninstall-am
676
677 install-am: all-am
678         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
679
680 installcheck: installcheck-am
681 install-strip:
682         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
683           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
684           `test -z '$(STRIP)' || \
685             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
686 mostlyclean-generic:
687
688 clean-generic:
689         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
690
691 distclean-generic:
692         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
693         -rm -f gras/datadesc/$(am__dirstamp)
694         -rm -f gras/msg_handle/$(am__dirstamp)
695         -rm -f xbt/$(am__dirstamp)
696
697 maintainer-clean-generic:
698         @echo "This command is intended for maintainers to use"
699         @echo "it deletes files that may require special tools to rebuild."
700 clean: clean-am
701
702 clean-am: clean-generic clean-libtool clean-noinstPROGRAMS \
703         mostlyclean-am
704
705 distclean: distclean-am
706         -rm -rf ./$(DEPDIR)
707         -rm -f Makefile
708 distclean-am: clean-am distclean-compile distclean-generic \
709         distclean-tags
710
711 dvi: dvi-am
712
713 dvi-am:
714
715 html: html-am
716
717 info: info-am
718
719 info-am:
720
721 install-data-am:
722
723 install-dvi: install-dvi-am
724
725 install-exec-am:
726
727 install-html: install-html-am
728
729 install-info: install-info-am
730
731 install-man:
732
733 install-pdf: install-pdf-am
734
735 install-ps: install-ps-am
736
737 installcheck-am:
738
739 maintainer-clean: maintainer-clean-am
740         -rm -rf ./$(DEPDIR)
741         -rm -f Makefile
742 maintainer-clean-am: distclean-am maintainer-clean-generic
743
744 mostlyclean: mostlyclean-am
745
746 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
747         mostlyclean-libtool
748
749 pdf: pdf-am
750
751 pdf-am:
752
753 ps: ps-am
754
755 ps-am:
756
757 uninstall-am:
758
759 .MAKE: install-am install-strip
760
761 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
762         clean-generic clean-libtool clean-noinstPROGRAMS ctags \
763         distclean distclean-compile distclean-generic \
764         distclean-libtool distclean-tags distdir dvi dvi-am html \
765         html-am info info-am install install-am install-data \
766         install-data-am install-dvi install-dvi-am install-exec \
767         install-exec-am install-html install-html-am install-info \
768         install-info-am install-man install-pdf install-pdf-am \
769         install-ps install-ps-am install-strip installcheck \
770         installcheck-am installdirs maintainer-clean \
771         maintainer-clean-generic mostlyclean mostlyclean-compile \
772         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
773         tags uninstall uninstall-am
774
775
776 #################
777 ### XBT tests ###
778 #################
779
780   #######################
781
782 ##################
783 ### GRAS tests ###
784 ##################
785
786   #############################################
787
788 gras/datadesc/datadesc_structs.c: gras/datadesc/mk_datadesc_structs.pl
789         perl $(top_srcdir)/teshsuite/gras/datadesc/mk_datadesc_structs.pl > $@
790
791   ##########################################
792
793 gras/msg_handle/_msg_handle_simulator.c gras/msg_handle/_msg_handle_client.c gras/msg_handle/_msg_handle_server.c : gras/msg_handle/msg_handle.c gras/msg_handle/msg_handle.xml $(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@
794         cd gras/msg_handle; ../../$(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@ msg_handle $(srcdir)/msg_handle.xml
795
796 dist-files:
797         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
798         @echo
799         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
800 # Tell versions [3.59,3.63) of GNU make to not export all variables.
801 # Otherwise a system limit (for SysV at least) may be exceeded.
802 .NOEXPORT: